package com.huashe.park.core.mapper;

import com.huashe.common.annotation.DataSource;
import com.huashe.common.annotation.mybatis.IgnoreTenant;
import com.huashe.common.enums.DataSourceType;
import com.huashe.park.domain.entity.CustSysConfig;

@DataSource(DataSourceType.MASTER)
public interface SysCustConfigMapper {

    int updateConfig(CustSysConfig custSysConfig);

    @IgnoreTenant
    CustSysConfig selectConfigById(Long id);

    @IgnoreTenant
    CustSysConfig checkConfigKeyUnique(CustSysConfig configKey);

    CustSysConfig selectTenantConfig(CustSysConfig param);

}
